Subject: Re: bug#73456: 31.0.50; X protocol error: RenderBadGlyph

From: Visuwesh <[email-masked]>
Date: Wed, 25 Sep 2024 11:33:09 +0530

[செவ்வாய் செப்டம்பர் 24, 2024] Eli Zaretskii wrote:

> Thanks, but the only way to debug these problems is to run Emacs under
> GDB at all times, and run it in X-synchronous mode (as described in
> etc/DEBUG).  Only then, when the rare problem happens, you will be
> able to collect a meaningful backtrace which will point out the
> offending code.

I figured this would be the case.  I saw that message yesterday, and
today Emacs crashed with the same backtrace.  I hope I can find a
reliable reproducer for the problem since the problem seems to happen
once a few months so running Emacs under GDB all the time is not
feasible for me.